<mat-toolbar color="primary">
    <div>Adding a MOC</div>
</mat-toolbar>
<div class="moc-add">
    <mat-card class="mat-elevation-z4 add-form">
        <mat-vertical-stepper linear>
            <ng-template matStepperIcon="number" let-index="index" let-active="active">
                <span [class.dark-theme-stepper-icon]="!active">{{index + 1}}</span>
            </ng-template>

            <mat-step [stepControl]="stepOne">
                <ng-template matStepLabel>MOC information</ng-template>
                <form [formGroup]="stepOne">
                    <div class="stepper-content">
                        <mat-form-field class="input" appearance="standard">
                            <mat-label>Stud.io file</mat-label>
                            <ash-file-input #fileInput required formControlName="file" accept=".io">
                            </ash-file-input>
                            <mat-icon matSuffix color="accent" class="upload-button" *ngIf="!file.value">publish
                            </mat-icon>
                            <mat-icon matSuffix color="accent" class="upload-button" (click)="fileInput.clear($event)"
                                *ngIf="file.value">delete</mat-icon>
                            <mat-hint>Max 2Mb</mat-hint>
                            <mat-error *ngIf="file.invalid && file.errors?.required">You must provide a file</mat-error>
                            <mat-error *ngIf="file.invalid && file.errors?.extension">Must be a <strong>stud.io</strong>
                                file</mat-error>
                            <mat-error
                                *ngIf="file.invalid && !file.errors?.extension && file.errors?.maxSize as maxSize">File
                                size
                                (<strong>{{maxSize.size | byteFormat}}</strong>)
                                exceed max size
                                (<strong>{{maxSize.max | byteFormat}}</strong>)</mat-error>
                        </mat-form-field>


                        <mat-form-field class="input" appearance="standard">
                            <mat-label>Name</mat-label>
                            <input matInput formControlName="name" required>
                            <mat-error *ngIf="name.errors?.required">Name is required</mat-error>
                        </mat-form-field>

                        <mat-form-field class="input" appearance="outline">
                            <mat-label>Description</mat-label>
                            <textarea matInput cdkTextareaAutosize cdkAutosizeMaxRows="6" cdkAutosizeMinRows="4"
                                formControlName="desc"></textarea>
                        </mat-form-field>

                        <mat-checkbox class="input" formControlName="private" color="accent">Private</mat-checkbox>

                        <div class="stepper-action">
                            <button mat-button matStepperNext color="primary">Next</button>
                        </div>
                    </div>
                </form>
            </mat-step>
            <mat-step optional>
                <ng-template matStepLabel>Add images</ng-template>
                <div class="stepper-content">
                    <div class="image-list">
                        <div class="upload-image" *ngFor="let image of imageFiles; let i = index">
                            <button type="button" mat-icon-button class="delete" color="accent"
                                (click)="removeImage(i)">
                                <mat-icon>delete</mat-icon>
                            </button>
                            <div class="top-spacer"></div>
                            <img [src]="image.img" class="preview" draggable="false">
                            <div class="bottom-spacer">
                                <div *ngIf="i === 0">Main image</div>
                            </div>
                        </div>
                        <div class="upload-image" (click)="mainImageFile.click()" mlmDragAndDrop dragOverClass="hover"
                            (fileDropped)="addImages($event)" *ngIf="imageFiles.length < 10">
                            <div class="label">
                                <div class="text">
                                    <div>Add image</div>
                                    <div class="sub-text">max 2Mb</div>
                                </div>
                                <mat-icon color="accent" class="icon">publish</mat-icon>
                            </div>
                            <input type="file" accept="image/*" hidden #mainImageFile
                                (change)="addImages(mainImageFile.files)" multiple>
                        </div>
                    </div>
                    <div class="stepper-action">
                        <button mat-button matStepperPrevious color="primary">Previous</button>
                        <button mat-button matStepperNext color="primary">Next</button>
                    </div>
                </div>

            </mat-step>
            <mat-step optional>
                <ng-template matStepLabel>Add parts</ng-template>
                <div class="stepper-content">

                    <div class="stepper-action">
                        <button mat-button matStepperNext color="primary">Next</button>
                    </div>
                </div>
            </mat-step>
            <mat-step>
                <ng-template matStepLabel>Verify</ng-template>
            </mat-step>
        </mat-vertical-stepper>
    </mat-card>
</div>